<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
		xmlns:pretty="http://ocpsoft.com/prettyfaces"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:g="http://java.sun.com/jsf/composite/componentes"
        xmlns:p="http://primefaces.org/ui">

<ui:composition template="/templates/template.xhtml">

<ui:define name="titulo">Relatórios e Análises</ui:define>
<ui:define name="conteudo">

	<br/>
	<h:form>
		<div class="row-fluid">
			<div class="span1">
				<h:selectOneMenu value="#{relatoriosController.mes}" style="width: 70px">
					<f:selectItems value="#{colecoesController.meses}" var="m" itemLabel="#{m.nome}" itemValue="#{m.id}" />
				</h:selectOneMenu>
			</div>
			<div class="span11">
				<h:commandButton value="OK" action="#{relatoriosController.atualizar()}" />
			</div>
		</div>
		
		<div align="right" class="row-fluid">
			<h:commandLink styleClass="btn" action="#{relatoriosController.trocaGraficoTabela()}" title="Visão Gráfico/Tabela">
				<i class="icon-tasks"></i>
			</h:commandLink>
		</div>
		
		<div class="row-fluid">
			<h:panelGroup rendered="#{relatoriosController.mostraGrafico}">
				<div class="span12">
					<ui:include src="grafico-pizza-categoria.xhtml" />
				</div>
			</h:panelGroup>
			<h:panelGroup rendered="#{!relatoriosController.mostraGrafico}">
				<div class="span12">
					<ui:include src="tabela-entrada-saida-categoria.xhtml" />
				</div>
			</h:panelGroup>
		</div>
	</h:form>
</ui:define>
</ui:composition>
</html>